classification
Title: No module named '_ctypes'
Type: compile error Stage: resolved
Components: Installation Versions: Python 3.7
process
Status: closed Resolution:
Dependencies: Superseder: make install fails: no module _ctypes
View: 31652
Assigned To: Nosy List: YoSTEALTH, yan12125
Priority: normal Keywords:

Created on 2017-12-21 19:25 by YoSTEALTH, last changed 2018-07-08 03:35 by martin.panter. This issue is now closed.

Messages (3)
msg308897 - (view) Author: (YoSTEALTH) * Date: 2017-12-21 19:25
I tried to install python3.7.0a3 just to test it out and i keep getting error:

Traceback (most recent call last):
  File "/tmp/psi/Python-3.7.0a3/Lib/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/tmp/psi/Python-3.7.0a3/Lib/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/tmp/psi/Python-3.7.0a3/Lib/ensurepip/__main__.py", line 5, in <module>
    sys.exit(ensurepip._main())
  File "/tmp/psi/Python-3.7.0a3/Lib/ensurepip/__init__.py", line 204, in _main
    default_pip=args.default_pip,
  File "/tmp/psi/Python-3.7.0a3/Lib/ensurepip/__init__.py", line 117, in _bootstrap
    return _run_pip(args + [p[0] for p in _PROJECTS], additional_paths)
  File "/tmp/psi/Python-3.7.0a3/Lib/ensurepip/__init__.py", line 27, in _run_pip
    import pip
  File "/tmp/tmpuwh0fjm1/pip-9.0.1-py2.py3-none-any.whl/pip/__init__.py", line 28, in <module>
  File "/tmp/tmpuwh0fjm1/pip-9.0.1-py2.py3-none-any.whl/pip/vcs/mercurial.py", line 9, in <module>
  File "/tmp/tmpuwh0fjm1/pip-9.0.1-py2.py3-none-any.whl/pip/download.py", line 36, in <module>
  File "/tmp/tmpuwh0fjm1/pip-9.0.1-py2.py3-none-any.whl/pip/utils/glibc.py", line 4, in <module>
  File "/tmp/psi/Python-3.7.0a3/Lib/ctypes/__init__.py", line 7, in <module>
    from _ctypes import Union, Structure, Array
ModuleNotFoundError: No module named '_ctypes'
Makefile:1108: recipe for target 'install' failed
make: *** [install] Error 1

System:
Linux (4.10.0-42-generic) 64bit

I have installed 3.6.0 and 3.6.4 without any problems.
msg308926 - (view) Author: Chih-Hsuan Yen (yan12125) * Date: 2017-12-22 07:40
Most likely the same issue as issue31652. Passing --without-ensurepip to ./configure is a workaround.
msg309109 - (view) Author: (YoSTEALTH) * Date: 2017-12-27 22:59
Yes, it does work without pip.
History
Date User Action Args
2018-07-08 03:35:10martin.pantersetsuperseder: make install fails: no module _ctypes
2017-12-27 22:59:03YoSTEALTHsetstatus: open -> closed

messages: + msg309109
stage: resolved
2017-12-22 07:40:06yan12125setnosy: + yan12125
messages: + msg308926
2017-12-21 19:25:03YoSTEALTHcreate